cyrus-imapd (3.6.1-4+deb12u5) bookworm-security; urgency=high

  * Backport security fixes released in upstream 3.10.3 to 3.6, which
    upstream no longer supports
    (https://www.cyrusimap.org/imap/download/release-notes/3.10/x/3.10.3.html):
    - CVE-2026-47084: LOCALDELETE bypassed ACL checks, allowing non-admin
      users to delete mailboxes without permission.
    - CVE-2026-47086: GENURLAUTH issued URLAUTH tokens without checking
      ACL_READ on the target mailbox.
    - CVE-2026-47087: URLAUTH tokens kept working after the authorizer's
      access was revoked.
    - CVE-2026-47081: XAPPLEPUSHSERVICE allowed probing for mailbox
      existence and hijacking push notifications on other users' folders.
    - CVE-2026-47089: LISTRIGHTS was not restricted to users with admin
      access on the target mailbox.
    - CVE-2026-47085: URLAUTH tokens could be forged via a predictable
      empty mboxkey.
    - CVE-2026-47088: heap out-of-bounds read when parsing nested MIME
      comments in RFC 822 headers.
    - CVE-2026-47082: vacation "fcc" delivery skipped the ACL check on the
      destination mailbox.

 -- Edmund Lodewijks <edmund@proteamail.com>  Mon, 31 Aug 2026 16:45:55 +0200

cyrus-imapd (3.6.1-4+deb12u4) bookworm; urgency=medium

  * Disable clamav support on armel, mipsel and mips64el. See #1123789 for
    details.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 05 Jan 2026 13:07:56 +0100

cyrus-imapd (3.6.1-4+deb12u3) bookworm; urgency=medium

  * Fix regression introduced in CVE-2024-34055 fix (Closes: #1075853)

 -- Yadd <yadd@debian.org>  Mon, 29 Jul 2024 12:43:50 +0400

cyrus-imapd (3.6.1-4+deb12u2) bookworm-security; urgency=medium

  * Fix unbounded memory allocation (Closes: CVE-2024-34055)

 -- Yadd <yadd@debian.org>  Wed, 05 Jun 2024 09:25:33 +0400

cyrus-imapd (3.6.1-4+deb12u1) bookworm; urgency=medium

  * Doc: add patch to fix minimal version needed before upgrade
    (see #1037346)
  * Fix postint version check (see #1037346)

 -- Yadd <yadd@debian.org>  Wed, 06 Sep 2023 06:19:18 +0400

cyrus-imapd (3.6.1-4) unstable; urgency=medium

  * Update copyright
  * Declare compliance with policy 4.6.2

 -- Yadd <yadd@debian.org>  Fri, 31 Mar 2023 11:12:57 +0400

cyrus-imapd (3.6.1-2) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation of cyrus-imapd (Closes: #1031498)

 -- Yadd <yadd@debian.org>  Fri, 17 Feb 2023 15:23:09 +0400

cyrus-imapd (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1

 -- Yadd <yadd@debian.org>  Mon, 13 Feb 2023 06:53:20 +0400

cyrus-imapd (3.6.0-1) unstable; urgency=medium

  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-5
    + debian/cyrus-common.lintian-overrides: line 2
  * New upstream version 3.6.0

 -- Yadd <yadd@debian.org>  Mon, 12 Dec 2022 06:42:30 +0100

cyrus-imapd (3.6.0~rc2-1) unstable; urgency=medium

  * New upstream version 3.6.0~rc2

 -- Yadd <yadd@debian.org>  Mon, 28 Nov 2022 05:16:30 +0100

cyrus-imapd (3.6.0~rc1-1) unstable; urgency=medium

  * New upstream version 3.6.0~rc1

 -- Yadd <yadd@debian.org>  Wed, 16 Nov 2022 06:16:56 +0100

cyrus-imapd (3.6.0~beta3-2) unstable; urgency=medium

  * Drop dependency to db-upgrade-util (Closes: #1023610)

 -- Yadd <yadd@debian.org>  Mon, 07 Nov 2022 17:43:39 +0100

cyrus-imapd (3.6.0~beta3-1) unstable; urgency=medium

  * Fix debian/watch
  * New upstream version 3.6.0~beta3 (Closes: #972079)
  * Refresh patches
  * Refuse to update if previous version isn't 3.2.6-2+deb11u2
    (Closes: #1007965)

 -- Yadd <yadd@debian.org>  Wed, 12 Oct 2022 16:00:55 +0200

cyrus-imapd (3.6.0~beta2-5) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 22:29:27 +0200

cyrus-imapd (3.6.0~beta2-4) experimental; urgency=medium

  * Declare compliance with policy 4.6.1
  * Add fix for Perl 5.36 (Closes: #1014292)

 -- Yadd <yadd@debian.org>  Tue, 05 Jul 2022 09:00:47 +0200

cyrus-imapd (3.6.0~beta2-3) unstable; urgency=medium

  [ Yadd ]
  * Fix copyright (Closes: #1010028)

  [ Dan Bungert ]
  * Add patch for openssl 3 (Closes: #1010535)

 -- Yadd <yadd@debian.org>  Thu, 05 May 2022 18:06:52 +0200

cyrus-imapd (3.6.0~beta2-2) unstable; urgency=medium

  * Replace vim-common Build-Depends with xxd (Closes: #1007885)
  * Fix install
  * Update lintian overrides
  * dh_missing: strict

 -- Yadd <yadd@debian.org>  Fri, 25 Mar 2022 07:23:41 +0100

cyrus-imapd (3.6.0~beta2-1) unstable; urgency=medium

  * New upstream version 3.6.0~beta2
  * Refresh patches
  * Add build dependency to libical-dev

 -- Yadd <yadd@debian.org>  Fri, 11 Mar 2022 07:22:48 +0100

cyrus-imapd (3.4.3-4) unstable; urgency=medium

  * Drop "Multi-Arch: same" because manpages generates file-conflicts
  * Revert 3.4.3-3 change: propaging CC flags to Perl build seems wrong
    (see https://github.com/cyrusimap/cyrus-imapd/issues/3893)

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 13:52:49 +0100

cyrus-imapd (3.4.3-3) unstable; urgency=medium

  * Propagate CFLAGS to Perl build (makes build reproducible)

 -- Yadd <yadd@debian.org>  Thu, 03 Feb 2022 10:05:56 +0100

cyrus-imapd (3.4.3-2) unstable; urgency=medium

  * Improve reproducibility

 -- Yadd <yadd@debian.org>  Wed, 02 Feb 2022 09:30:29 +0100

cyrus-imapd (3.4.3-1) unstable; urgency=medium

  * Fix warning from cron.daily script, thanks to Stefan Nobis
    (Closes: #1003444)
  * Drop useless dependency version constraint
  * New upstream version 3.4.3
  * Add build dependency to fig2dev
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 02 Feb 2022 08:30:43 +0100

cyrus-imapd (3.4.2-2) unstable; urgency=medium

  * Upgrade script: add "SYNC_CACHE" in known DB types list (Closes: #994025)

 -- Yadd <yadd@debian.org>  Mon, 13 Sep 2021 06:23:11 +0200

cyrus-imapd (3.4.2-1) unstable; urgency=medium

  [ lintian-brush ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yadd ]
  * New upstream version 3.4.2 (Closes: #993433, CVE-2021-33582)
  * Declare compliance with policy 4.6.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 02 Sep 2021 06:17:52 +0200

cyrus-imapd (3.4.1-2) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 16 Aug 2021 12:33:53 +0200

cyrus-imapd (3.4.1-1) experimental; urgency=medium

  * New upstream version 3.4.1 (Closes: CVE-2021-32056)

 -- Yadd <yadd@debian.org>  Tue, 11 May 2021 16:36:44 +0200

cyrus-imapd (3.4.0-1) experimental; urgency=medium

  * New upstream version 3.4.0

 -- Yadd <yadd@debian.org>  Mon, 19 Apr 2021 06:09:55 +0200

cyrus-imapd (3.4.0~rc1-1) experimental; urgency=medium

  * New upstream version 3.4.0~rc1

 -- Yadd <yadd@debian.org>  Tue, 23 Mar 2021 05:45:46 +0100

cyrus-imapd (3.4.0~beta3-1) experimental; urgency=medium

  * New upstream version 3.4.0~beta3

 -- Yadd <yadd@debian.org>  Fri, 19 Feb 2021 07:54:00 +0100

cyrus-imapd (3.4.0~beta2-1) experimental; urgency=medium

  * New upstream version 3.4.0~beta2

 -- Xavier Guimard <yadd@debian.org>  Wed, 27 Jan 2021 05:58:16 +0100

cyrus-imapd (3.4.0~beta1-1) experimental; urgency=medium

  * New upstream version 3.4.0~beta1
  * Refresh patches
  * Drop snmp support (no more shipped by upstream)

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 06:00:24 +0100

cyrus-imapd (3.2.6-2) unstable; urgency=medium

  * Update gbp.conf for Bullseye branch
  * annotate: don't allow everyone to write shared server entries
    (Closes: CVE-2021-32056)

 -- Yadd <yadd@debian.org>  Mon, 10 May 2021 19:24:53 +0200

cyrus-imapd (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6

 -- Yadd <yadd@debian.org>  Tue, 09 Mar 2021 07:37:35 +0100

cyrus-imapd (3.2.5-3) unstable; urgency=medium

  * Indicate that cyrus-imapd breaks+replaces cyrus-common < 3.2.3~
    (Closes: #983887)

 -- Yadd <yadd@debian.org>  Wed, 03 Mar 2021 07:44:59 +0100

cyrus-imapd (3.2.5-2) unstable; urgency=medium

  * Enable JMAP support (Closes: #976905)

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 10:17:17 +0100

cyrus-imapd (3.2.5-1) unstable; urgency=medium

  * New upstream version 3.2.5
  * Patches (all were pushed to upstream):
    + Refresh patches
    + Remove GUID patch, upstream fixed that somewhere else
    + Drop patch 0008-Accept-invalid-From-header-in-email
      (see upstream #3382)
    + Drop patch 0004-silence-erroneous-RLIMIT_NUMFDS-related-log-messages
      (see upstream #3280)
    + Drop patch 0007-Adds-some-enhancements-to-sieveshell, accepted
    + Drop HTTP/2 patch, now included
    + Drop GUID patch, upstream fixed that somewhere else
    + Drop patch 0010-Fix-PATH_MAX-on-GNU-Hurd, fixed elsewhere
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Declare complicance with policy 4.5.1

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Nov 2020 06:07:34 +0100

cyrus-imapd (3.2.4-4) experimental; urgency=medium

  * Fix cron job (Closes: #935431)
  * Add recommended dependency to libterm-readline-gnu-perl (Closes: #797789)
  * Import upstream fix to close properly HTTP/2 connections (Closes: #969222)
    and re-enable HTTP/2

 -- Xavier Guimard <yadd@debian.org>  Sun, 25 Oct 2020 07:35:51 +0100

cyrus-imapd (3.2.4-3) unstable; urgency=medium

  * Add missing autopkgtest dependency (fixes debci)
  * Skip autopkgtest if test environment install failed

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Oct 2020 10:24:25 +0200

cyrus-imapd (3.2.4-2) unstable; urgency=medium

  * Fix systemd tmpfiles (Closes: #969261)

 -- Xavier Guimard <yadd@debian.org>  Wed, 07 Oct 2020 05:58:14 +0200

cyrus-imapd (3.2.4-1) unstable; urgency=medium

  * Remove useless cyrus-caldav-2.4 breaks/conflicts
  * New upstream version 3.2.4
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 05 Oct 2020 10:00:46 +0200

cyrus-imapd (3.2.3-3) unstable; urgency=medium

  [ Jean Charles Delépine ]
  * cron jobs: chk_cyrus should'nt be used if CHKCYRUS=0 (Closes: #964442)

  [ Xavier Guimard ]
  * Tag autopkgtest with "needs-internet" (Closes: #966114)
  * Workaround: disable HTTP/2 support (Closes: #969222)

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Sep 2020 06:23:46 +0200

cyrus-imapd (3.2.3-2) unstable; urgency=medium

  * Fix debian/cyrus-common.tmpfiles for debhelper ≥ 13 (Closes: #969261)

 -- Xavier Guimard <yadd@debian.org>  Sun, 13 Sep 2020 17:50:16 +0200

cyrus-imapd (3.2.3-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * New upstream version 3.2.3

 -- Xavier Guimard <yadd@debian.org>  Fri, 28 Aug 2020 07:31:01 +0200

cyrus-imapd (3.2.2-1) unstable; urgency=medium

  * Mark cyrus-dev as "Multi-Arch: same"
  * New upstream version 3.2.2
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 22 Jun 2020 13:55:29 +0200

cyrus-imapd (3.2.1-3) unstable; urgency=medium

  * Back to unstable after successful tests (Closes: #960558)

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 09:52:46 +0200

cyrus-imapd (3.2.1-2) experimental; urgency=medium

  * Fix upstream test (Closes: #960658)

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 09:08:39 +0200

cyrus-imapd (3.2.1-1) experimental; urgency=medium

  * New upstream version 3.2.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 07:17:19 +0200

cyrus-imapd (3.2.0-6) experimental; urgency=medium

  * Re-enable all test with an updated patch

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 May 2020 09:29:26 +0200

cyrus-imapd (3.2.0-5) unstable; urgency=medium

  * Disable some unimportant tests that fail with non amd64 arch

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 20:22:08 +0200

cyrus-imapd (3.2.0-4) unstable; urgency=medium

  * Try to fix #960658:
    + Add patch for big endian arch
    + Increase test timeout
    + Re enable all tests

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 11:17:46 +0200

cyrus-imapd (3.2.0-3) unstable; urgency=medium

  * Disable tests during build on s390x and armhf arch (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 May 2020 08:08:42 +0200

cyrus-imapd (3.2.0-2) unstable; urgency=medium

  * Add fix for non-x86 arch. Thanks to John Paul Adrian Glaubitz!
    (Closes: #960263)
  * Disable some test incompatible with non amd64 arch (Closes: #960374)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 May 2020 09:52:36 +0200

cyrus-imapd (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Mon, 04 May 2020 08:02:40 +0200

cyrus-imapd (3.2.0~rc1-1) experimental; urgency=medium

  * Update debian/watch
  * New upstream version 3.2.0~rc1
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sat, 25 Apr 2020 08:56:01 +0200

cyrus-imapd (3.2.0~beta3-1) experimental; urgency=medium

  * New upstream version 3.2.0~beta3

 -- Xavier Guimard <yadd@debian.org>  Mon, 02 Mar 2020 06:10:47 +0100

cyrus-imapd (3.2.0~beta2-1) experimental; urgency=medium

  * debian/watch: add uversionmangle to use ~ in beta releases
  * Add postgresql support
  * New upstream version 3.2.0~beta2

 -- Xavier Guimard <yadd@debian.org>  Mon, 17 Feb 2020 04:59:12 +0100

cyrus-imapd (3.2.0~beta1-1) experimental; urgency=medium

  * New upstream version 3.2.0~beta1
  * Add build dependency to libcunit1-dev
  * Refresh patches
  * Update install
  * Fix perl shebang
  * Temporarily don't install some manpages (missing GitPython)
  * Add build dependencies to libnghttp2-dev,
    libpod-pom-view-restructured-perl, libbrotli-dev, libwslay-dev,
    libzstd-dev, python-git-doc, python3-sphinx and libshp-dev (shapelib)
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 10 Feb 2020 12:08:11 +0100

cyrus-imapd (3.0.13-5) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Make autopkgtest slightly more realiable on armhf/arm64 by avoding
    downloading unicode-data over squid.internal proxy (Closes: #956441)

 -- Xavier Guimard <yadd@debian.org>  Sat, 11 Apr 2020 13:48:02 +0200

cyrus-imapd (3.0.13-4) unstable; urgency=medium

  [ Anthony Prades ]
  * Remove unneeded python dependency from autopkgtest files; Closes: #947295

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2020 13:02:45 -0400

cyrus-imapd (3.0.13-3) unstable; urgency=medium

  * Remove sphynx from autopkgtest dependencies
  * Declare compliance with policy 4.5.0
  * debian/watch: add uversionmangle to use ~ in beta releases

 -- Xavier Guimard <yadd@debian.org>  Sun, 15 Mar 2020 10:01:24 +0100

cyrus-imapd (3.0.13-2) unstable; urgency=medium

  * Add BACKUP type to cyrus-upgrade-db (Closes: #930764)

 -- Xavier Guimard <yadd@debian.org>  Sat, 21 Dec 2019 14:34:54 +0100

cyrus-imapd (3.0.13-1) unstable; urgency=medium

  * Remove dependency to dpkg
  * Add hardening option to systemd service file (PrivateTmp=yes)
  * Patch url
  * New upstream version 3.0.13 (this adds a Debian patch to make build
    reproducible, thanks to Daniel Shahaf)
  * Refresh patches
  * Update links
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Mon, 16 Dec 2019 06:48:53 +0100

cyrus-imapd (3.0.12-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Move all assets for docker-based tests in a dedicated directory
  * Remove useless double install for cmake
  * Bring our sid Dockerfile closer to recent upstream version based on buster
  * Variabilize whether to build cyrus from source, and also list of
    cassandane tests to run
  * Bring changes from recent functions.sh in cyrus-docker's toplevel
    directory
  * Non-docker version of tests (Closes: #944819)

  [ Xavier Guimard ]
  * Improve autopkgtest:
    + use native autopkgtest packages system
    + add more perl packages to minimize cpan downloads

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 Nov 2019 07:08:47 +0100

cyrus-imapd (3.0.12-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * autopkgtest:
    + Add cyrus-docker test, based on cyrus.works setup
    + Install libdbi-perl (FIXME: move to Dockerfile later)
    + Add Dockerfile.sid, and adjust entrypoint and shell functions
    + Switch cyrus-docker test to Dockerfile.sid
    + Remove harmless stderr warnings, so autokpgtest doesn't think the entire
      run failed
    + Sneak locally built packages into test container
    + Add TODO.txt

  [ Xavier Guimard ]
  * New upstream version 3.0.12
  * Declare compliance with policy 4.4.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Nov 2019 06:59:34 +0100

cyrus-imapd (3.0.11-1) unstable; urgency=medium

  * Back to unstable
  * New upstream version 3.0.11 (Closes: #933163)
  * Add spelling errors patch
  * Refresh patches
  * Add rsync in recommended dependencies

 -- Xavier Guimard <yadd@debian.org>  Mon, 05 Aug 2019 07:12:47 +0200

cyrus-imapd (3.0.10-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.0.10
  * Add compression=gz to d/gbp.conf
  * Rediff patches
  * man8/cyrus-rmnews.8 is gone
  * lintian: remove duplicate section fields
  * lintian: remove empty usr/sbin from cyrus-imapd

  [ Xavier Guimard ]
  * Update lintian-overrides
  * Update links
  * Remove unneeded dependency versions
  * Add Multi-Arch fields
  * Declare compliance with policy 4.4.0

 -- Xavier Guimard <yadd@debian.org>  Mon, 22 Jul 2019 09:06:59 +0200

cyrus-imapd (3.0.8-6) unstable; urgency=medium

  [ Anthony Prades ]
  * Add cyrus-clients dependency on cyrus-murder (Closes: #872238)

  [ Xavier Guimard ]
  * Add patch to fix arbitrary code execution via CalDAV
    (Closes: CVE-2019-11356)

 -- Xavier Guimard <yadd@debian.org>  Fri, 07 Jun 2019 06:41:23 +0200

cyrus-imapd (3.0.8-5) unstable; urgency=medium

  [ Xavier Guimard ]
  * Add upstream/metadata

  [ Anthony Prades ]
  * sieve segfault (Closes: #927142)

  [ Xavier Guimard ]
  * Fix Standards-Version to 4.3.0
  * Add patch headers
  * Trailing whitespaces
  * Add myself to uploaders
  * Add upgradesieve() function to cyrus-common.postinst (related to #927142).
    Thanks to Anthony Prades
  * Fix postinst error
  * Replace tabs
  * Add patch to support spaces in mailboxes
  * Add patches to fix some memory leaks found by code analyser (upstream)

 -- Xavier Guimard <yadd@debian.org>  Thu, 16 May 2019 11:42:29 +0200

cyrus-imapd (3.0.8-4) unstable; urgency=medium

  [ Anthony Prades ]
  * Add cyrus upstream patch to support clamav-0.101.0
    (Closes: #923498)

  [ Ondřej Surý ]
  * Renumber patches using gbp pq --renumber

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Mar 2019 14:07:12 +0000

cyrus-imapd (3.0.8-3) unstable; urgency=medium

  * Move the backup/restore man pages to cyrus- namespace
    (Closes: #922928)
  * Fix the stdout/stderr dpkg-statoverride redirection
    (Closes: #908190)
  * On top of disabled password, also disable login for cyrus user
    (Closes: #854286)
  * Depend on e2fsprogs explicitly (Closes: #887201)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Feb 2019 05:45:09 +0000

cyrus-imapd (3.0.8-2) unstable; urgency=medium

  [ Max Kosmach ]
  * Enable backup, xapian, calalarmd and unit tests
  * Update certificates for unit tests
  * Add backup and calalarmd files to cyrus-common
  * Add upstream patches to fix some crashes
  * Fix backup manpages

  [ Anthony Prades ]
  * Enable systemd support (Closes: #922290)

  [ Ondřej Surý ]
  * Upload to final cyrus-imapd 3.0.x to unstable
    (Closes: #921733, #866973)
  * Init script now uses systemd tmpfiles
    (Closes: #685263, #675812, #750053, #766403, #825783, #862066)
  * GOODCHARS #define is now synchronized with upstream
    (Closes: #901024)
  * Update cyrus-imapd version check in cron.daily (Closes: #869870)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Feb 2019 07:58:29 +0000

cyrus-imapd (3.0.8-1) unstable; urgency=medium

  [ Anthony Prades ]
  * add cyr_buildinfo bin and its man and doc page

  [ Ondřej Surý ]
  * Update d/watch and upstream signing key
  * New upstream version 3.0.8
  * Update the dh_auto_install and dh_install targets to match the new version

  [ Anthony Prades ]
  * Update gbp.conf
  * Fix: murder.fig path
  * Fix: legacy HTML doc
  * Fix: cyrusv2.mc path
  * Fix: remove uninstalled bin
  * Fix: don't install imapd.conf.rst
  * Fix: rename and package mbtool man page
  * Fix: package cyr_buildinfo and its man page
  * Fix: don't package backup/restore man pages
  * Fix: package cyr_virusscan and its man page
  * Fix: changes.html path
  * Fix: cyrus-init-helper 3.0 support
  * Fix: package dependencies

  [ Ondřej Surý ]
  * Update gbp.conf
  * Re-add perl2rst tool from cyrus-imapd-3.0 upstream branch
  * Use dh_missing
  * Update installed files for cyrus-imapd 3.0.x
  * Don't bother keeping deliver.db
  * Remove BerkeleyDB support from the database upgrade script
  * Make cyrus-upgrade-db script shellcheck clean
  * Bump debhelper compatibility to 12
  * Switch priority from extra to optional
  * Add lsb-base to cyrus-common dependencies
  * Don't install same manpage to two packages
  * Override gpl linked with openssl lintian error (it's not true)
  * Bump policy version to 4.3.0.1
  * Add Anthony to Uploaders
  * Update perl shebang in tools/rehash

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Feb 2019 14:43:38 +0000

cyrus-imapd (2.5.11-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Fix FTBFS with libical3 (Closes: #883951)

  [ Ondřej Surý ]
  * Add dependency on cyrus-common to debian-admin (Closes: #872247)
  * Cleanup d/control (Closes: #899477)
  * New upstream version 2.5.11 (Closes: #879007, #866124, #863520)
  * Rebase patches on top of Cyrus IMAP 2.5.11
  * com_err now needs --with-com_err="" to use system provided library

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Oct 2018 08:08:10 +0000

cyrus-imapd (2.5.10-3) unstable; urgency=medium

  * Rely on default tls_ciphers and tls_versions configurations
    (Closes: #846082)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Dec 2016 11:23:20 +0100

cyrus-imapd (2.5.10-2) unstable; urgency=medium

  * Replace 'struct sched_param' with 'struct caldav_sched_param'
    (Closes: #828276, #828275)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 21:05:26 +0100

cyrus-imapd (2.5.10-1) unstable; urgency=medium

  * Update d/watch for 2.5.x branch
  * Imported Upstream version 2.5.10
  * Fix paths to ctl_mboxlist and chk_cyrus in cron script (Closes: #833452)
  * Rebase patches on top of 2.5.10 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2016 17:27:38 +0200

cyrus-imapd (2.5.9-2) unstable; urgency=medium

  * Fix cvt_cyrusdb path to /usr/lib/cyrus/bin/cvt_cyrusdb (Closes: #832393)
  * Rename *.tmpfiles to *.tmpfile to get the cyrus-imapd file installed

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Jul 2016 14:19:05 +0200

cyrus-imapd (2.5.9-1) unstable; urgency=medium

  * Add libpcre3-dev to Build-Depends
  * Imported Upstream version 2.5.9
  * The canonical path to pidfile is not /run/cyrus-master.pid
  * Rebase patches on top of 2.5.9 release
  * Fix upgrade errors from SEEN and TLS databases (Closes: #830706)
  * Migrate /var/run to /run and use tmpfiles.d instead of
    dpkg-statoverride to keep track of permissions on /run files

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Jul 2016 09:32:33 +0200

cyrus-imapd (2.5.8-1) unstable; urgency=medium

  * Imported Upstream version 2.5.8
  * Rebase patches on top of 2.5.8
  * Require libical >= 2.0.0 and define the libical feature macros
    according to that (Closes: #825108)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2016 14:52:29 +0200

cyrus-imapd (2.5.7-1) unstable; urgency=medium

  * Don't install mupdatetest to cyrus-clients and leave it in
    cyrus-murder package (Closes: #821738)
  * Fix broken symlinks for installsieve and sieveshell in cyrus-admin
    package (Closes: #821743)
  * Upload to unstable
  * Fix typo in README.Debian
  * Add lintian override for possible-gpl-code-linked-with-openssl,
    because we don't link with GPL code

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2016 17:32:10 +0200

cyrus-imapd (2.5.7-0+exp4) experimental; urgency=medium

  * Convert d/copyright to machine readable format and add license for
    tools/vzic/

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2016 11:57:25 +0200

cyrus-imapd (2.5.7-0+exp3) experimental; urgency=medium

  [ John Treen ]
  * Update default configuration to match Cyrus 2.5 changes

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Mar 2016 11:32:39 +0200

cyrus-imapd (2.5.7-0+exp2) experimental; urgency=medium

  [ John Treen ]
  * Fix Vcs-* fields to point to correct repository
  * Add 2.5 to supported versions in check_hardwired_config

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Mar 2016 14:02:31 +0100

cyrus-imapd (2.5.7-0+exp1) experimental; urgency=medium

  * Imported Upstream version 2.5.7
  * Rebase and reduce patches on top of 2.5.7 release
  * Rename all manpages to cyrus-*; except cyradm
  * cyradm gets installed to usr/bin, leave it there
  * Update the Debian documentation a bit (TODO: it still needs more work)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Dec 2015 14:34:00 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-18) unstable; urgency=medium

  * Fix PIDFile location in sysvinit script (Closes: #778781)
  * Fix ACL string corruption on removal of an ACL identifier
    (Closes: #778779)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Mar 2015 12:09:49 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-17) unstable; urgency=medium

  [Daniel Dickinson]
  * Fix users in virtual domains cannot access caldav/carddav
    (Closes: #774128)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Feb 2015 10:27:53 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-16) unstable; urgency=medium

  * Manually add dpkg (>= 1.17.14) to Pre-Depends to have correctly
    working dpkg-maintscript-helper symlink_to_dir without full path
  * Format debian/* with wrap-and-sort -a

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jan 2015 13:18:39 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-14) unstable; urgency=medium

  * Bump required debhelper version to 9.20141221~ to it correctly set
    ${misc:Pre-Depends}
  * Drop Build-Depends on dpkg-dev that's not needed

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Dec 2014 08:58:37 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-13) unstable; urgency=medium

  * Force dpkg-dev to 1.17.22 to have correct Pre-Depends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Dec 2014 18:25:18 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-12) unstable; urgency=medium

  * Add Breaks/Replaces for old cyrus-imapd-2.2 dummy packages
    to cleanup old installations.
  * Install upstream changelogs to all real packages and Debian changelogs
    to all packages

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Dec 2014 09:12:15 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-11) unstable; urgency=medium

  * Add more missing symlink_to_dir calls based on last X packages
    from testing.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Dec 2014 17:33:25 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-10) unstable; urgency=medium

  * Last attempt to get the maintscripts right (Closes: #771749)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Dec 2014 15:47:18 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-9) unstable; urgency=medium

  * Add missing backslash in configure params (Closes: #771071)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Nov 2014 09:28:43 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-8) unstable; urgency=medium

  * Don't use dh_installdoc --link-doc feature at all, it just creates
    more problems than it solves (Closes: #769553)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Nov 2014 13:06:45 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-7) unstable; urgency=medium

  * Add dir_to_symlink dpkg-maintscript-helper call for transitional
    packages (Closes: #768240)
  * Drop useless cyrus-common-2.4 dependency on cyrus-common
  * Add missing quotes around $@ in maintscript
  * Drop -- "$@" from *.mainscript

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Nov 2014 10:48:34 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-6) unstable; urgency=medium

  * Cleanup inactive uploaders (Closes: #760134) and thank you for all the
    hard work in the past years!
  * Pull TLS configuration patch from upstream git repository (Disables
    SSLv2 and SSLv3 by default and adds TLS PFS)
  * Disable SSLv2 and SSLv3 in a default imapd.conf file

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Oct 2014 12:28:10 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-5) unstable; urgency=high

  * Don't link transitional packages to cyrus-common documentation
    (Closes: #755705)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 11:05:07 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-4) unstable; urgency=high

  * Remove obsolete cyrus-admin, cyrus-clients and libcyrus-imap-perl
    postinst scripts (Closes: #757521, #757756)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Aug 2014 11:01:04 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-3) unstable; urgency=medium

  * Add versioned depends between dummy to real versionless packages
  * Fix Vcs fields (s/git.debian.org/anonscm.debian.org)
  * Remove dependency on cyrus-common where not needed (Closes: #757046)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Aug 2014 12:01:18 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-2) experimental; urgency=medium

  * Drop versioning from the cyrus-imapd package
  * Reduce the duplication of files by symlinking the murder binaries to
    their counterparts in cyrus-{common,imapd,pop3d}

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Jul 2014 17:08:47 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-1) unstable; urgency=medium

  * New upstream version 2.4.17+caldav~beta10

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Jul 2014 10:28:35 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-12) unstable; urgency=medium

  * Fix binNMUability by linking docs to cyrus-common-2.4 (Closes: #755705)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jul 2014 18:13:36 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-11) unstable; urgency=medium

  [ gregor herrmann ]
  * Make debian/libcyrus-imap-perl24.install executable, and use
    $Config{vendorarch} to get correct perl library path.
    (Closes: #755108)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jul 2014 11:57:08 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-10) unstable; urgency=medium

  * Re-enable ptloader server and ptclient utilities again
    (Closes: #754786)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2014 16:16:08 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-9) unstable; urgency=medium

  * Use debhelper 9 instead of hardening-wrapper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 09:51:18 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-8) unstable; urgency=medium

  * Use system provided UnicodeData.txt to seamlessly support new
    Unicode versions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Jun 2014 09:03:54 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-7) unstable; urgency=medium

  * Use default-mta instead of postfix

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:27:11 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-6) unstable; urgency=medium

  * Switch from ssmtp to postfix as default MTA

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:04:02 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-5) unstable; urgency=high

  * Fix missing GUID for binary appends (Closes: #709799)
  * Apply upstream fix to unbroke nntpd (Closes: #734648)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 May 2014 12:41:47 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Update the PIDFILE name in init script (Closes: #743013)
  * Fix typo in cyrus-common systemd service file (Closes: #744912)

  [ Tom Yu ]
  * Fix imtest hanging when receiving long responses over SSL (Closes: #747561)

  [ Ondřej Surý ]
  * Remove extra -lpci from net-snmp-config --agent-libs output (Closes: #747806)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 15 May 2014 09:48:16 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta9-3) unstable; urgency=medium

  * Add explicit 'exit 0' at the end of init-helper (Closes: #739318)
  * Add ZONEINFO to the list of know databases (Closes: #739335)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Feb 2014 11:41:51 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta9-2) unstable; urgency=medium

  * Add support for systemd
  * Silence spurious warning when lock and proc dirs doesn't exist
  * Enable TLSv1.2 support in imclient, and disable SSLv2 in the same patch (Closes: #732582)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Feb 2014 17:28:29 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta9-1) unstable; urgency=low

  * New upstream version 2.4.17+caldav~beta9
  * Update patches for the 2.4.17+caldav~beta9 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 17 Dec 2013 17:19:19 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta7-2) unstable; urgency=low

  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Nov 2013 11:16:59 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta7-1) experimental; urgency=low

  * New upstream version 2.4.17+caldav~beta7
  * Update patches for 2.4.17+caldav~beta7 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2013 08:57:24 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta6-1) experimental; urgency=low

  * New upstream version 2.4.17+caldav~beta6
  * Update patches for 2.4.17+caldav~beta6 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Jul 2013 08:41:36 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta5-2) experimental; urgency=low

  * Remove the last usage of cyrus-makedirs from postinst

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Jun 2013 13:49:27 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta5-1) experimental; urgency=low

  * Imported Upstream version 2.4.17+caldav~beta5
    + Cyrus IMAPd now also support CalDAV, CardDAV and RSS.
  * debian/patches: Update patches for 2.4.17 release
  * debian/rules:
    + Build with generic libdb
    + Enable CalDAV, CardDAV and RSS support in Cyrus IMAPd
    + Disable ptclient/, it needs kerberos now
  * debian/control:
    + Add libxml2-dev and libopendkim-dev to Build-Depends
    + Remove useless quilt dependency
    + Remove Cyrus IMAPd 2.2 transitional packages
  * debian/cyrus.conf:
    + Add httpd to cyrus.conf running on 8008 and 8443 ports
  * debian/imapd.conf:
    + Enable CardDAV and CalDAV httpd modules by default

 -- Ondřej Surý <ondrej@debian.org>  Sun, 09 Jun 2013 12:09:20 +0200

cyrus-imapd-2.4 (2.4.16-5) unstable; urgency=high

  * Fix links in the README.Debian and UPGRADE.Debian (courtesy of Gijs
    Hillenius)
  * When piping data to while loop the subshell is created and variables
    are lost (Closes: #706862)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2013 08:54:27 +0200

cyrus-imapd-2.4 (2.4.16-4) unstable; urgency=low

  * Update normalize patch to correctly set the normalize option in the
    global library (Closes: #702941)
  * Remove disabled DRAC from description

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Mar 2013 11:12:57 +0100

cyrus-imapd-2.4 (2.4.16-3) unstable; urgency=low

  * Use find -H instead of plain find to fix the permissions inside the
    sieve dir (Closes: #693507)
  * Really clean (instead of printing) the stale lock and proc directories
    (Closes: #629609)
  * Pull fix for crashes when fetching message parts (Closes: #700801)
  * Fix crash in sync client (found in upstream git)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Feb 2013 12:37:09 +0100

cyrus-imapd-2.4 (2.4.16-2) unstable; urgency=low

  [ Gregor Herrman ]
  * Add postinst scripts for all transitional packages to handle the
    directory to symlink transition of their docdirs.
    (Closes: #690147)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Oct 2012 18:50:42 +0200

cyrus-imapd-2.4 (2.4.16-1) unstable; urgency=low

  * Imported Upstream version 2.4.16

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Apr 2012 14:31:22 +0200

cyrus-imapd-2.4 (2.4.15-1) unstable; urgency=low

  * Imported Upstream version 2.4.15
  * Depend on dbX.Y-util to allow smooth upgrades (Closes: #663939)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Apr 2012 13:52:18 +0200

cyrus-imapd-2.4 (2.4.14-1) unstable; urgency=low

  [ Christoph Berg ]
  * Update watch file to point at cyrusimap.org. (Closes: #659690)
  * Remove myself from uploaders.

  [ Ondřej Surý ]
  * Depend on db-util (Closes: #663939)
  * Imported Upstream version 2.4.14
  * Refresh patches for 2.4.14 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Apr 2012 16:07:01 +0200

cyrus-imapd-2.4 (2.4.13-2) unstable; urgency=low

  * Move all transitional packages to oldlibs section
  * Do mass Berkeley DB operations after all databases have been
    upgraded (Closes: #658915)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Feb 2012 22:44:23 +0100

cyrus-imapd-2.4 (2.4.13-1) unstable; urgency=low

  * Imported Upstream version 2.4.13
  * Refresh patches for new release
  * Add Danish translation (Joe Hansen).  (Closes: #633670)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Jan 2012 09:04:13 +0100

cyrus-imapd-2.4 (2.4.12-2) unstable; urgency=low

  * Add versioned conflicts with *-2.2 (Closes: 644503)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Oct 2011 21:53:28 +0200

cyrus-imapd-2.4 (2.4.12-1) unstable; urgency=low

  * Optimize cyrus-makedirs finds that chown incorrect permissions in
    the spool
  * Imported Upstream version 2.4.12

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Oct 2011 09:39:35 +0200

cyrus-imapd-2.4 (2.4.11-1) unstable; urgency=low

  * Imported Upstream version 2.4.11
  * Adapt patches to the new release
  * Fix Vcs-* Links
  * Use kfreebsd-any (Closes: #634693)
  * Move proc and lock directories to /run and clean them on restart
    (Closes: #629609)
  * Obsolete cyrus-imapd-2.2; it's no longer maintained upstream
  * Install docs for transitional packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2011 10:43:13 +0200

cyrus-imapd-2.4 (2.4.9-1) unstable; urgency=low

  * Imported Upstream version 2.4.9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Jun 2011 09:13:52 +0200

cyrus-imapd-2.4 (2.4.9~beta2-1) unstable; urgency=low

  * Imported Upstream version 2.4.9~beta2
  * Slightly update copyright file
  * Add comment about running the cyrus-upgrade-db as root and add
    copyright
  * Don't import autom4te.cache
  * Don't clean upstream generated sources (be more git-buildpackage
    friendly)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Jun 2011 23:08:25 +0200

cyrus-imapd-2.4 (2.4.9~beta1-3) unstable; urgency=low

  * Remove word 'package' from instructions to install dbX.Y-util
  * Always set RET value (thanks to Steven Kurylo for catching that)
  * Silence pidofproc in try-restart (Courtesy of Steven Kurylo)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 10:05:43 +0200

cyrus-imapd-2.4 (2.4.9~beta1-2) unstable; urgency=low

  * Read only _db and on _db_path from lib/imapoptions (Closes: #629603)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2011 08:42:32 +0200

cyrus-imapd-2.4 (2.4.9~beta1-1) unstable; urgency=low

  * Imported Upstream version 2.4.9~beta1
  * Update patches to a new release
  * Update cyrus-upgrade-db script:
    + Only upgrade databases when really needed
    + Print an error if it doesn't find needed dbX.Y-util packages
    + Don't fail the postinst script on missing dbX.Y-util
    + Silence upgrade-db script when upgrading cyrus databases
  * Only recommends dbX.Y-util to allow backports

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Jun 2011 21:54:45 +0200

cyrus-imapd-2.4 (2.4.8-9) unstable; urgency=low

  * Update Vcs-* links
  * Replace sv_{yes,no,undef} with PL_sv_{yes,no,undef}
    (Closes: #628630)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2011 12:40:26 +0200

cyrus-imapd-2.4 (2.4.8-8) unstable; urgency=low

  * Link with -ldb only; this should stop builds when the binary is linked
    with different version from db.h than from shared library
  * Cherry pick from upstream git:
    + Fix seen_db related crash (Closes: #627202)
    + Fix SASL mechs list in IMAP capability response (Closes: #624831)
  * Remove cyrus 1.5 upgrade check from init.d file
  * Rewrite init.d script to make use start-stop-daemon and lsb init
    functions as much as possible
  * Implement more graceful stop for cyrmaster - sending QUIT/TERM/KILL
    with timeouts and using sync_shutdown_file for sync_client if defined
    in /etc/imapd.conf (Closes: #627339)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2011 15:45:07 +0200

cyrus-imapd-2.4 (2.4.8-7) unstable; urgency=low

  * More Hurd fixes; Conditionally #define MAXHOSTNAMELEN
  * Add Breaks/Replaces cyrus-common-2.4 (<< 2.4.8-6) to cyrus-
    {imapd,replication}-2.4 to fix upgrade breakage on moved man pages
    (Closes: #627143)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2011 10:28:55 +0200

cyrus-imapd-2.4 (2.4.8-6) unstable; urgency=low

  * cyrus-makedirs also need /usr/sbin/cyrus and
    /usr/lib/cyrus/bin/makedirs to be moved to cyrus-common
  * Install manpages with cyrus- prefix to correct packages
  * Add a note about automatic upgrade (Closes: #626759)
  * Define PATH_MAX as 4096 on platforms which doesn't have it defined
    (fixes Hurd build)
  * Move the upgrade login to cyrus-common-2.4.postinst as it depends on
    cyrus-common-2.4 files
  * Force removal of *.active files in postrm script
  * Move dbX.Y-util back to Depends to be safe
  * Move to more standard debconf setup to fix breakage in postrm script

 -- Ondřej Surý <ondrej@debian.org>  Sun, 15 May 2011 10:57:43 +0200

cyrus-imapd-2.4 (2.4.8-5) unstable; urgency=low

  * Add some double lintian-overrides to clean the ./usr vs usr
    confusion
  * Remove patch to remove unused Berkeley DB environment
    (Closes: #626418)
  * Add ptclient binaries (Closes: #626553)
  * Add dependency on libsasl2-modules to fix timsieved
  * Move cyrus-makedirs to cyrus-common package where it belongs
    (fixes piuparts and postinst error)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 14 May 2011 22:17:37 +0200

cyrus-imapd-2.4 (2.4.8-4) unstable; urgency=low

  * Fix crash when removing unused Berkeley DB environment
    + Use new dbenv handle for DB_ENV->remove
    + Call DB_ENV->get_home before closing the environment
    (Closes: #626418)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 May 2011 09:02:05 +0200

cyrus-imapd-2.4 (2.4.8-3) unstable; urgency=low

  * Use default values in case of missing /etc/imapd.conf
  * Add lintian-overrides for the /etc/init.d/cyrus-imapd magick
  * Bump standards version to 3.9.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2011 18:10:25 +0200

cyrus-imapd-2.4 (2.4.8-2) unstable; urgency=low

  * Remove versioned dependency on archaic version perl, remove extra
    dependency on libextutils-parsexs-perl
  * Remove /var/run/cyrus/socket from package, it gets installed by the
    init.d script
  * Update fr.po (Closes: #620628)
  * Make cyrus-upgrade-db conformant with Berkeley DB guidelines for
    upgrading
  * Remove unused Berkeley DB environment
  * Move init.d file handling to debhelper, cyrus-common installs the
    file, cyrus-common-2.x invokes it (Closes: #622367)
  * Untangle circular dependency (Closes: #622607)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2011 17:56:40 +0200

cyrus-imapd-2.4 (2.4.8-1) unstable; urgency=low

  * Imported Upstream version 2.4.8
  * Debian packaging:
    + Refreshed quilt patches for new upstream 2.4.8
    + Build-depend just on plain "libdb-dev"

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2011 10:24:20 +0200

cyrus-imapd-2.4 (2.4.7-6) unstable; urgency=low

  * Bug #620628: Fix FR translation (Christian Perrier)
  * Do automatic upgrades of the database backends (Closes: #620321)
    + Install cyrus-upgrade-db script to cyrus-common package as
      /usr/lib/cyrus/bin/upgrade-db
    + Add dependency on db4.7-util (squeeze), db4.8-util (old sid) and
      db5.1-util (new sid) to allow automatic backend db upgrades.
    + Make triggered actions more verbose
    + Remove implicit triggers, all are called explicitly
    + Move more upgrade logic to cyrus-common.postinst
    + Don't fail if the database file doesn't exist
    + Trigger on files installed to /usr/lib/cyrus/
  * Remove debconf from cyrus-common-2.4.postinst

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Apr 2011 16:40:32 +0200

cyrus-imapd-2.4 (2.4.7-5) unstable; urgency=low

  * Add support for starting cyrus-imapd-2.2 (Closes: #620839)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Apr 2011 23:57:45 +0200

cyrus-imapd-2.4 (2.4.7-4) unstable; urgency=low

  * Rework postinst files to use dpkg-trigger to run cyrus-makedirs
    and (re)start cyrmaster
  * Update depends on cyrus-common (2.4.7-4~) with triggers
  * Add some missing files to the packages (Closes: #620325)
  * Fix error in .NAME section to allow lexgrog parsing
  * Update description for metapackages to be shorter than 80 characters

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Apr 2011 13:14:42 +0200

cyrus-imapd-2.4 (2.4.7-3) unstable; urgency=low

  * Install cyrus-common and cyrus-common-2.4 files to debian/tmp first,
    then let the dh_install take over.  This fixes binary only builds.
    (Closes: #620261)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2011 20:08:28 +0200

cyrus-imapd-2.4 (2.4.7-2) unstable; urgency=low

  * Fix cyrmaster -j (janitor) segfault (cherry-pick from 2.2)
  * Add NEWS content about upgrade from 2.2 to 2.4
  * Fix missing initial / when purging the cyrus-common package
  * Move cyrus-imapd version independent files to a generic cyrus-common.
    This is preliminary work which will allow us to depend cyrus-common-*
    on generic cyrus-common for seamless upgrades between major versions.
  * Update po files for cyrus-common

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2011 15:43:12 +0200

cyrus-imapd-2.4 (2.4.7-1) unstable; urgency=low

  * Imported Upstream version 2.4.7 (cleaned version)
  * Debian packaging:
    + Refreshed patches for 2.4.7 release
    + Start using pristine-tar

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Mar 2011 17:30:31 +0200

cyrus-imapd-2.4 (2.4.6-3) unstable; urgency=low

  * Build system:
    + Add some extra CFLAGS, with support for noopt in DH_OPTIONS
    + Update build depends, add libtool and autoconf
    + Enable PIE hardening option
    + Build with shared libcom_err to allow PIE hardening option
    + Reformat Uploaders field in debian/control
  * Fix FTBFS in Cyrus Perl IMAP library (Closes: #620075)
    + debian/patches/85-perl-imap-croak-FTBFS-fix.patch
    + Add build dependency on external libextutils-parsexs-perl

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Mar 2011 15:20:38 +0200

cyrus-imapd-2.4 (2.4.6-2) experimental; urgency=low

  * Cherry-pick upstream patch to not include NULL authentication
    mechanism by default (Closes: #611674)
  * Add support for Berkeley DB 5.1 to Debian build system
  * Enable hardening wrapper (without PIE)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Mar 2011 19:33:50 +0200

cyrus-imapd-2.4 (2.4.6-1) experimental; urgency=low

  [ Ondřej Surý ]
  * Add Anthony Prades to Uploaders.
  * Imported Upstream version 2.4.6
  * Refreshed patches for 2.4.6 release
  * Add universal (ala git) command interface /usr/sbin/cyrus which can be
    used to call all cyrus commands except master and deliver
  * Build system:
    + Clean-up dependencies from old package names which are no longer in
      the archive
    + Add versionless virtual packages to allow seamless upgrades between
      major Cyrus releases
    + Adapt debian/rules to use /usr/sbin/cyrus
    + Adapt install and manpages to the changes introduced
      by /usr/sbin/cyrus
    + Add /usr/sbin/cyrus-makedirs symlink
    + Install /usr/sbin/* symlinks as well
  * Use /usr/sbin/cyrus wherever possible
  * Add support for Berkeley DB version >= 5.x
  * Install symlinks for documentation for empty dependency packages

  [ Anthony Prades ]
  * Better comment on cyrus-imapd init script
  * Fix README.configure-options content
  * Add cyrus-makedirs support for 'lock' directory
  * Add creation of USERDENY database (flat) if doesn't exist
  * Fix Cyrus compilation using new linker changes for wheezy
    (announced on debian-devel-announce)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Mar 2011 21:55:29 +0200

cyrus-imapd-2.4 (2.4.5-1) experimental; urgency=low

  * Imported Upstream version 2.4.5
  * Build system:
    + Fix init.d script (Courtesy Anthony Prades)
    + More fixes in packaging by Anthony Prades
    + Remove extra debian/rules.rej
    + Refreshed patches for 2.4.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Dec 2010 10:06:05 +0100

cyrus-imapd-2.4 (2.4.4-1) experimental; urgency=low

  * New upstream version 2.4.4
  * Remove versioning from init.d and cron names
    + New files are just named cyrus-imapd
  * Build system:
    + Switch to libdb4.8-dev
    + Update Homepage and VCS headers in debian/control
    + Bump standards version to 3.9.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Nov 2010 18:53:04 +0100

cyrus-imapd-2.3 (2.3.16-1) experimental; urgency=low

  [ Sven Mueller ]
  * Make init script provide its own name

  [ Henrique de Moraes Holschuh ]
  * New upstream source
    + Use clean tarball from upstream and retain only debian/ dir
      from 2.3.14-2.  This makes sure all chages to upstream code are
      done by debian/patches/* and avoids problems with weird partial CVS
      checkouts from upstream
  * Build system:
    + Switch to libdb4.7-dev, to match openldap
    + Build-depend on xutils-dev instead of xutils (makedepend)
    + Remove build-dependency on tcl8.3-dev
    + Build-depend on automake for fresh copies of install-sh
    + Switch to debhelper mode V7
      + Use dh_prep instead of dh_clean -k
      + Build-depend on debhelper (>= 7)
    + DH_ALWAYS_EXCLUDE is now CVS:.svn:.git
    + Add new debian/README.source file describing the build system
    + Remove debian/executable.files, upstream has not shipped a broken
      tarball in years...
    + cyrus-doc-2.3: add Depends: ${misc:Depends} (lintian)
    + debian/control: s/${Source-Version}/${binary:Version}/ (lintian)
    + debian/rules: drop DEBUGFLAGS, it is not needed anymore
    + debian/rules: honour CFLAGS, and drop -fPIC as upstream already
      takes care of it
    + debian/control: bump standards-version to 3.8.4
  * Build system patch management:
    + Switch from dpatch to quilt, to make it compatible with
      dpkg-source format 3.0 (quilt)
    + Tweak debian/rules so that the package can work in dpkg-source
      formats 1.0 and 3.0 (quilt).  However, one MUST set the format
      in debian/control to avoid leaking crap to the format 1.0 debian
      diff
    + Use Format 3.0 (quilt) by default
    + Build-depend on quilt with dh_quilt_patch/unpatch support
  * Debian patches cleanup:
    * Remove obsolete patches:
      + patches 0019,0020,0024,0025a: already upstream
      + patch 20-fix-bdb-for-4.5: better version already upstream
      + patch 45-kolab2-annotations.dpatch (non-trivial to port to
        2.3, and likely somewhat outdated by now)
    * Rework old patch 07-update_aclocal_and_configure.in.dpatch:
      + Move LOCK_GIVEUP_TIMER_DEFAULT configure.in change to patch
        12-fix_timeout_handling.dpatch where it belongs
      + Move warnings-are-errors mode to new patch
        07-add-warnings-are-errors-mode.dpatch
      + Move hunk disabling AC_SYS_LONG_FILE_NAMES to new patch
        81-dont-test-for-long-names.dpatch
    * Patch 0025b-cve-2009-3235-extras: rediff, patch is now mostly
      useless (and doesn't fix any security hole), needs to go upstream or
      to be dropped
    * Drop imap/message.c hunk from patch 10-fix_potential_overflows,
      as it is useless
    * Document patches 08, 12 and 13 which are forward ports of patches
      originally written by me for Debian Cyrus 2.1 packages (and should
      now all go upstream, almost 10 years later!).  Patch 13 was broken
      in separate parts, as it did more than one thing.
    * Break up patch 13 into separate (and independent) patches, and
      update them.
      + 13a-uid_t-cleanups: use uid_t/gid_t instead of int
      + 13b-MAXFD-cleanups: don't mislog on setrlimt/getrlimit (updated)
      + 13c-master-reload: fixes related to config reload
      + 13d-master-process-handling: master child accounting fixes
      + 13e-master-janitor-delay: new master -J option
  * initscript: Required-Start/-Stop must refer to $remote_fs (lintian)
  * initscript: Default-Stop should not refer to runlevel S (lintian)
  * debian/rules: drop obsolete --with-tclsh option in configure
  * debian/cyrus-common-2.3.preinst: remove empty file (lintian)
  * remove cvs-style Id: tags from every file in debian/, as it just
    causes problems.  A major ugrade (2.2->2.3) is exactly the right
    opportunity window to do this, since it can cause dpkg conffile
    questions

  [ Christoph Berg ]
  * Add myself to Uploaders
  * Remove versions from all Provides fields as dpkg doesn't support them
  * Remove spurious leading and trailing spaces from Descriptions
  * Update Build-Depends:
    + Remove "| libsnmp5-dev" (package removed in 2005).
    + Replace gs with ghostscript
  * Convert to use quilt, and update the patch headers to use clean paths
    (Closes: #563303)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 26 Jun 2010 20:33:43 -0300

cyrus-imapd-2.3 (2.3.14-2) UNRELEASED; urgency=medium

  [ Duncan Gibb ]
  * Add upstream patch fixing a buffer overflow in sieve.
    Fixes CERT VU#336053 = CVE-2009-2632 = DSA-1881-1.
  * Add two-part patch for sieve buffer overflow - upstream and Debian.
    Fixes CVE-2009-3235 = DSA-1893-1 = Debian bug #547947.

  [ Sven Mueller ]
  * Fix cyrus-common postinst to only run makedirs if a new upstream is
    installed, add a README to note that the postinst needs to be changed
    on new upstream releases
  * Various packaging fixes as indicated by lintian:
    - update compat level to 5 (4 is deprecated), remove non-matching
      pattern in pop3d.install (debhelper 5 chokes on non-matching patterns)
    - remove unused debconf import in preinst
    - don't use full path for cyrus-makedirs call, allow local admins to
      put a local version somewhere earlier in the path
    - add lintian override for directories under /var/run (they are recreated
      by initscript if needed)
    - fix Syntax (indentation) of NEWS file
    - remove obsolete linda overrides (linda itself being obsolete)
    - fix syntax of imclient manpage so that lexgrog accepts it
    - add dependency on ${misc:Depends} to all binary packages. This might be
      a redundant dependency, but lintian indicated that it is needed.
    - debian/rules: Replace -$(MAKE) which ignores all errors with a call
      that doesn't ignore errors, but is only made if Makefile exists
    - fix doc-base section on cyrus-doc
    - fix menu section for cyradm

 -- Sven Mueller <sven@debian.org>  Tue, 08 Sep 2009 11:04:13 +0200

cyrus-imapd-2.3 (2.3.14-1) UNRELEASED; urgency=low

  * New upstream release.
  * Remove the sections of Sven's 10-fix_potential_overflows.dpatch
    superseded by upstream fixes by Bron.

  [Sven Mueller]
  * change example script mbox2cyrus to remove bashisms (Closes: #489558,
    thanks to Andres Mejia)
  * change Makefile so that no (intended) non-phony target invokes a phony
    target. Also remove empty lines inside rules or replace them by comment
    lines
  * Added patches for translation updates as provided by Christian Perrier
    (see below)

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #523989
  * [Debconf translation updates]
    - Swedish. Closes: #524090
    - Czech. Closes: #524092
    - Japanese. Closes: #524121
    - Russian. Closes: #525704
    - Portuguese. Closes: #525912
    - German. Closes: #525913
    - Galician. Closes: #524267
    - Italian. Closes: #524312
    - French. Closes: #524954
    - Finnish. Closes: #526182
    - Bokmål, Norwegian. Closes: #526231
    - Spanish. Closes: #526358
    - Basque. Closes: #530856

 -- Duncan Gibb <Duncan.Gibb@siriusit.co.uk>  Thu, 23 Apr 2009 18:54:37 +0100

cyrus-imapd-2.2 (2.2.13-14) unstable; urgency=low

  * New upstream release (via conservative branch from Sirius in-house).
  * Make debian/rules call autoconf and autoheader.
  * Auto-detect BDB version from whichever -dev package is installed
    at build time, rather than hardcoding in debian/control.
  * Tweak the init script to support epoch in PACKAGE_VERSION.

 -- Duncan Gibb <Duncan.Gibb@siriusit.co.uk>  Fri, 06 Feb 2009 15:41:07 +0000

cyrus-imapd-2.3 (2.3.8-2) UNRELEASED; urgency=low

  * Fix a problem in cyrus-common-2.3.postrm (Closes: #439217)
  * Add portoguese debconf translations (Closes: #439405)
  * Update dutch debconf translation to 2.3

 -- Sven Mueller <sven@debian.org>  Tue, 28 Aug 2007 19:30:58 +0200

cyrus-imapd-2.3 (2.3.8-1) experimental; urgency=low

  * New upstream series release (Closes: #382376)

    [ Farzad FARID ]
  * IDLE handling has changed, remove Debian patches
  * Removed unnecessary or hard to update Debian patches from 00list
    - All patches from upstream
    - 15-munge_8bit.dpatch
    - 18-fix_strlen_return_type.dpatch
    - 22-imapd_index_check.dpatch
    - 23-configurable_idled.dpatch [TODO: Re-include this one]
    - 45-kolab2-annotations.dpatch
    - 61-64bit-quota.dpatch
  * Update dpatches when necessary
  * Added new cyrus-replication-2.3 package
  * Conflict/replace *-2.2 packages.
  * Replace the call to 'ctl_deliver' with 'cyr_expire' in the EVENTS section
    of cyrus.conf. The previous usage is now deprecated.
  * Missing space between '!' and function in init script.

  [ Benjamin Seidenberg ]
  * Remove patch files that are no longer used
  * Merge svn work from -6 to HEAD (base of Farzad's package) into 2.3 branch
  * Fix debian/po/POTFILES.in to refer to cyrus-common-2.3.templates instead
    of 2.2.
  * Fix copyright file
  * Fix paths in .po's
  * Fix path in cyrus-clients-2.3.README.Debian
  * README.postfix: a new feature in 2.2 is not new in 2.3

  [ Sven Mueller ]
  * Add patch to fix FTBFS on GNU/kFreeBSD thanks to Petr Salinger.
    (Closes: #388242)
  * Run autoconf to generate update configure script after above patch was
    applied to configure.in
  * Update to 2.3.8
  * Merge postrm fix regarding debconf (doesn't always exist on removal/purge)

  [ Benjamin Seidenberg ]
  * Merge in changes from previous 2.2s
  * Add experimental UPGRADE.Debian (Upgrade at your own risk)
  * Build against BDB 4.5

 -- Benjamin Seidenberg <benjamin@debian.org>  Fri, 22 Jun 2007 13:49:51 +0100

cyrus-imapd-2.2 (2.2.13-13) unstable; urgency=low

  * Change messages and chown's in cyrus-makedirs (Use find instead)
    (Closes: #404446, 411529)
  * Fix logcheck rule to ignore nonexistant sieve scripts (Closes #416826)
  * Update README.exim to something more debian specific. Thanks: Romain
    Chantereau <romain@mezimail.com> and Steve Kemp <skx@debian.org>.
    (Closes: #395504)
  * Update README.Debian.databases. Along with other fixes from a long time
    ago, this addresses almost all of the issues raised in an upgrade report.
    (Closes: #409945)

 -- Benjamin Seidenberg <benjamin@debian.org>  Tue, 19 Jun 2007 16:13:53 +0100

cyrus-imapd-2.2 (2.2.13-12) unstable; urgency=low

  * The "This-would-be-a-lot-easier-if-Ross-Boylan-used-courier" Release

  [ Sven Mueller ]
  * Add rules to logcheck.violations.ignore, eliminating "SQUAT failed"
    generic error message as far as logcheck is concerned.
  * Fix bug number in README.Debian (151295, not 151925) (Closes: #426334)

  [ Benjamin Seidenberg ]
  * Remove a redundant part of patches//13-master_process_handling.dpatch
    which causes a double free. (Closes: #425844, #429164)
  * Add information about tls_[service]_* options changing in UPGRADE.Debian.
    (Closes: #408503)

 -- Benjamin Seidenberg <benjamin@debian.org>  Mon, 18 Jun 2007 15:38:01 -0400

cyrus-imapd-2.2 (2.2.13-11) unstable; urgency=low

  * Fix a bug in cyrus-common-2.2 postrm script:
    Even when a package Depends on debconf, it is not guaranteed to be there
    when postrm is called. (Closes: #416739)
  * Assume removal of spools is not desired if debconf isn't available (least
    surprise / least chance of data loss principle).
  * Add Xs-Vcs-Browser and Xs-Vcs-Svn control fields for the PTS.
  * Fix a number of small issues with the 64bit quota patch.
  * update automake/autoconf patch with latest autotools-dev and
    automake/autoconf packages from unstable.
  * Add optional patch which allows uploads of messages with "From " headers.
    Taken from fastmail.fm patchset.
  * Add upstream patch to avoid sending empty literal responses.
  * Add upstream patch to sort illegal dates before legal ones.
  * Add galician debconf translation (Closes: #412809)
  * Add portuguese debconf translation (Closes: #410964)
  * Add a little more detail to the squatter manpage (Closes: #395063)
  * Add dependency on heimdal-dev, add check to debian/rules wether GSSAPI is
    used (Closes: #423970)

 -- Sven Mueller <sven@debian.org>  Fri, 18 May 2007 13:05:58 +0200

cyrus-imapd-2.2 (2.2.13-10) unstable; urgency=high

  * High urgency due to #400747

  [ Sven Mueller ]
  * Update README.Debian.simpleinstall (Closes: #395250)
  * Upstream change: applied RFC4314 READ-ONLY logic

  [ Benjamin Seidenberg ]
  * Add notice about lmtp overquota configuration option rename to
    UPGRADE.Debian (Closes: #400645)
  * Disable upstream patch 0019 due to bad sasl interactions (Closes: #400747)

 -- Benjamin Seidenberg <benjamin@debian.org>  Sat,  9 Dec 2006 10:03:38 -0500

cyrus-imapd-2.2 (2.2.13-9) unstable; urgency=high

  * The "Benjamin made it in time for etch" release.
  * High urgency upload with simple fixes for Etch

  [ Henrique de Moraes Holschuh ]
  * Prevent cronjobs and initscript from working when another version
    of Cyrus IMAPD is installed and 2.2 is in removed but not purged
    state (Closes: #393596)

 -- Benjamin Seidenberg <benjamin@debian.org>  Wed, 25 Oct 2006 13:39:08 -0400

cyrus-imapd-2.2 (2.2.13-8) unstable; urgency=medium

  [ Sven Mueller ]
  * Remove unneeded drac dependency
  * New vietnamese translation (thanks to Clytie Siddall, Closes: #383281)
  * New russian translation (thanks to Yuri Kozlov, Closes: #383217)
  * Updated dutch translation (thanks to Kurt De Bree, Closes: #384870)
  * Updated logcheck rules a bit more, thanks to Ross Boylan (Closes: #384265)
  * Add spanish debconf translation thanks to César Gómez Martín.
  * Add patch by Ben Poliakoff which fixes an inability to set annotations
    from IMAP::Admin perl module (Closes: #389597)
    urgency=medium because of this bug. Might have been medium, but the
    combination of this bug and the one below seems severe enough for high.
    It makes the package unusable to anyone using annotations (guess is 40%
    of new installs).
  * Update dutch debconf translation (Closes: #389783)
  * Fix a problem with repeated builds from the same tree.
  * Add upstream patch to imtest.c prefixing raw client responses with C:

  [ Henrique de Moraes Holschuh ]
  * Update pt_BR debconf translation

  [ Benjamin Seidenberg ]
  * Update date span in debian/copyright
  * Fix mistake in init script, ! check_status instead of !check_status.
    Thanks to Farzad FARID
  * Fix DOS encoding on several files in debian/ (Closes: #391092)
    Thanks to Farzad FARID

 -- Sven Mueller <sven@debian.org>  Mon,  9 Oct 2006 23:21:23 +0200

cyrus-imapd-2.2 (2.2.13-7) unstable; urgency=low

  * The "Bad translations in the middle of the night" release.
  * Update czech translation by Martin ?ín <martin.sin@zshk.cz>
    (Closes: #382775,#383226)
  * Add logcheck ignore line for lmtp delivery log entries (Closes: #382942)
  * Update imapd.conf and cyrus.conf to reflect the configurable IDLE patch
    applied since 2.2.13-5. (Closes: #382938)
  * Update a debconf question so that it doesn't ask in first persion. Fixes a
    lintian warning or even two.
  * Fix delprune event in cyrus.conf to use cyr_expire (Closes: #383015)
  * Add swedish translation by Daniel Nylander <po@danielnylander.se>
  * Fix some mistakes in the german translation, most corrections by Holger
    Wansing <linux@wansing-online.de>
  * Update italian translation by Cristian Rigamonti <cri@linux.it>
  * Correct README.Debian.database regarding number of .seen and .sub
    databases. (Closes: #383484)
  * Change wording regarding installsieve in README.Debian. (Closes: #383485)
  * Add a "WARNING" prefix to the error message about missing sieve scripts.
    (Closes: #383640)
  * Add a logcheck ignore clause for sieve redirects. (Closes: #384265)
  * Fix an implicit pointer conversion in imap/global.c (Closes: #384279)
  * Update french translation thanks to Philippe Batailler and the
    debian-l10n-french mailing list. (Closes: #384288)
  * added 'sieve_allowreferrals' option which controls whether timsieved
    issues referrals (default) or proxies (by murch@andrew.cmu.edu)
  * update japanese debconf translation, thanks to Hideki Yamane
    (henrich@samba.gr.jp)
  * Update logcheck rules (thanks to Paul Traina <reportbug@st04.pst.org>)
    (Closes: #387180)
  * Add a patch to change a log message when a user has no sieve file.

 -- Sven Mueller <sven@debian.org>  Thu, 14 Sep 2006 18:58:49 +0200

cyrus-imapd-2.2 (2.2.13-6) unstable; urgency=low

  * Fix a problem in cyrus-common-2.2 preinst

 -- Sven Mueller <sven@debian.org>  Thu, 10 Aug 2006 03:58:58 +0200

cyrus-imapd-2.2 (2.2.13-5) unstable; urgency=low

  * The "Need to clean the Windows" release

    [ Benjamin Seidenberg ]
  * Update the following documentation:
    - README.Debian
    - README.Debian.database
    - README.Debian.postfix
    - README.Debian.
    (Closes: #378520, #369882)
  * Bump debian policy to version 3.7.2 (No changes required)
  * Move cyr_expire to /usr/sbin as this is used in cyrus.conf.
    Thanks to Alexander Turic <alexander@turcic.com>. (Closes: #380595)
  * Rename cron script to cyrus22 since dots aren't allowed
    (Closes: #382069)

  [ Sven Mueller ]
  * Remove outdated entry about netnews removal from README.Debian
    (Closes: #378519)
  * Add --no-create-home to adduser arguments in cyrus-common2.2's
    postinst script. (Closes: #378518)
  * Modify debian/rules to once again create a meaningful
    cyrus-db-types.txt file (Closes: #366957)
  * Improve imapd.conf documentation to show how service specific options can
    be given. Also update packaged imapd.conf to reflect 2.2 syntax and
    behaviour. (Closes: #379881)
  * Use ssl-cert and reference system-wide ssl certificates in imapd.conf,
    leaving the service specific ssl certs as-is.
  * Update imapd.conf documentation to clarify behaviour of allowplaintext in
    combination with sasl_mech_list.
  * Sync with 2.2 CVS tree from upstream, including a few documentation fixes
    and a fix returning empty strings for empty message parts instead of NULL
  * Use configurable idle patch from OndÅ~Yej SurÃ½
  * Add some more options to /etc/default/cyrus2.2 and use them in the init
    script, including a generic OPTIONS variable to allow setting of any
    commandline option for cyrmaster. (Closes: #382061)
  * Add logic in cyrus-common-2.2 preinst/postrm scripts to rename the
    cron.daily script. Supplements change by Benjamin Seidenberg, closing
    #382069.

 -- Sven Mueller <sven@debian.org>  Thu, 10 Aug 2006 03:17:27 +0200

cyrus-imapd-2.2 (2.2.13-4) unstable; urgency=low

  [ Benjamin Seidenberg ]
  * Switch from dh_movefiles (deprecated) to dh_install

  [ Sven Mueller ]
  * Integrate 4 upstream CVS updates/fixes:
    - Upstream fix: only free() the backend struct if we allocated it
      (don't free cached connections)
    - remove limit on the size of mailbox files that can be received by UNDUMP
      (write file directly to disk rather than reading the literal into
      memory)
    - better logging to facilitate message tracking (Wes Craig
      <wes@umich.edu>)
    - remove redundant check for wildcards in mailbox names (Wes Craig
      <wes@umich.edu>)
  * Move expiry from ctl_deliver to cyr_expire as suggested by upstreams
    upgrade information.
  * Add upstream patch to fix a small issue with linking and libRSAglue
  * Add upstream patch to compile with MIT krb5 1.4.3 (Philip Guenther
    <guenther@sendmail.com>)
  * Add upstream patch to allow reporting of mailbox sizes above 4GB
  * Add upstream patch to fix a documentation error in imapoptions
  * Add patch to fix some compiler warnings about casts from pointer to
    integer of different size
  * Change the init script to actuall print some information when called with
    the "status" argument
  * Add upstream typo fixes of the day. See 0016-upstream-fix-typos for
    reference to upstream CVS

  [ Benjamin Seidenberg ]
  * Fix typos in UPGRADE.Debian (Closes: #368675)
  * Fix link in doc/html/readme.html (Closes: #368676)
  * Add upstream patch to fix POP locking when reconstructing

 -- Sven Mueller <sven@debian.org>  Wed, 28 Jun 2006 22:21:51 +0200

cyrus-imapd-2.2 (2.2.13-3) unstable; urgency=high

  [ Sven Mueller ]
  * [Security] Add upstream patch to disallow user probes
  * Add upstream patch to fix dump/undump of remote mailboxes (ctl_mboxlist)
  * Add upstream patch to allow ACL removal for invalid IDs
  * Add upstream patch to properly handle timezones and DST in fetchnews
  * Urgency=high for both security fix and patch to dump/undump bug which
    makes package unusuable in many supported setups

  [ Benjamin Seidenberg ]
  * Add build dependency on libkvm-dev for kfreebsd (Closes: #366113)

 -- Sven Mueller <debian@incase.de>  Fri,  5 May 2006 18:01:41 +0200

cyrus-imapd-2.2 (2.2.13-2) unstable; urgency=low

  [ Sven Mueller ]
  * Apply fix from upstream CVS to imap/backend.c (Closes: #365629)

 -- Sven Mueller <debian@incase.de>  Tue,  2 May 2006 22:14:03 +0200

cyrus-imapd-2.2 (2.2.13-1) unstable; urgency=low

  [ Sven Mueller ]
  * Switch to new upstream release (2.2.13)
  * Fix spelling mistake in debian/control (Closes: #363329)
  * Fix logcheck rule (Closes: #364835)

 -- Sven Mueller <debian@incase.de>  Sat, 29 Apr 2006 22:31:42 +0200

cyrus-imapd-2.2 (2.2.12-5) unstable; urgency=low

  [ Sven Mueller ]
  * Add example entries for squatter to cyrus.conf (Closes: #355303)
  * Fix URLs in README.sendmail (Closes: #355771)
  * Remove STDERR redirection from cyrus-common-2.2 postinst call to adduser

  [ Benjamin Seidenberg ]
  * Default to lmtp_downcase_rcpt: yes for compliance with RFC 2821
    (Closes: #357040)

 -- Sven Mueller <debian@incase.de>  Fri, 31 Mar 2006 20:11:54 +0200

cyrus-imapd-2.2 (2.2.12-4) unstable; urgency=low

  [ Benjamin Seidenberg ]
  * Change maintainer to mailing list
  * Remove multiple provides: lines in cyrus-nntpd-2.2 (Closes: #352240)
  * Add lintian override for CVS dirs in source tarball, we need to hit
    upstream with a cluebat for this.
  * Move all Build-Depends-Indep dependencies to Build-Depends because of the
    way debian/rules invokes this target, they are not installed, fixes FTBFS.
    (Closes: #352775, #352779)

  [ Sven Mueller ]
  * Disable DRAC authentication
  * Fix reference in debian/po/POTFILES.in (Closes: #352948)

  [ Ondřej Surý ]
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Feb 2006 22:42:35 +0100

cyrus-imapd-2.2 (2.2.12-3) unstable; urgency=low

  [ Sven Mueller ]
  * Add a script which helps downloading, editing and re-uploading
    sieve scripts
  * Add a patch to fix db_err callback prototype when building against
    Berkeley DB 4.3 or newer

  [ Henrique de Moraes Holschuh ]
  * UPGRADE.Debian: warn of dangerous problem in cyrus-imapd from sarge,
    which would cause data loss when UPGRADE.Debian instructions were
    followed.

  [ Benjamin Seidenberg ]
  * Changed debian/control so that the doc package is in section doc to match
    ftpmaster override.

  [ Ondřej Surý ]
  * Updated and renamed logcheck rules.
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Feb 2006 14:16:44 +0100

cyrus-imapd-2.2 (2.2.12-2) experimental; urgency=low

  [ Henrique de Moraes Holschuh ]
  * Modify the Debian default TLS cipher list to use only secure ciphers
    suitable for imap/pop/smtp/lmtp TLS, and add an explanation

  [ Benjamin Seidenberg ]
  * Rewrote descriptions to all refer to cyrus-common-2.2
  * Changed all package names in all required files within /debian to reflect
    the new naming scheme
  * Deleted two files in /usr/lib/cyrus in the purge target of postrm so that
    this folder is deleted correctly
  * Changed policy version to 3.6.2
  * Added upstream patchset 6662:
    imap/spool.c:1.7->1.8: don't catch our own NULL (off by one error)
    (Closes: #342314)

  [ Sven Mueller ]
  * Add a small sed call to debian rules to work around libsnmp[59]-dev
    problem which causes an unneccesary "-lsensors" in master/Makefile,
    resulting in an unnessary build dependency on libsensors-dev.
    Proper fix has to go into netsmp packages, also we need to properly use
    Debian's libtool. (Closes: #341580)
  * Add czech translation (thanks to Martin Sin and the debian-l10n-czech
    team) with a spelling correction from Ondrej Surý.
  * Adjust kolab2 annotation patch according to patch from Steffen Joeris
    (Closes: #347527)
  * Apply patch fixing some error messages in Shell.pm (Closes: #347658)

  [ Ondřej Surý ]
  * Upload to experimental.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2006 11:52:58 +0100

cyrus22-imapd (2.2.12-1) experimental; urgency=low

  [ Benjamin Seidenberg ]
  * Revised to build against pristine upstream sources.
  [ Sven Mueller ]
  * Fixed a discrepancy between documentation and actual behaviour of the
    "dracinterval" imapd.conf option. Documentation always said the default
    would be 0, while the default was actually 5.
  [ Henrique de Moraes Holschuh ]
  * Change build-dependency from libsnmp4.2-dev (ucd snmp) to libsnmp9-dev |
    libsnmp5-dev (netsnmp), so that it works right in sid/etch and sarge
  * Upload to experimental

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 29 Nov 2005 02:10:21 -0200

cyrus22-imapd (2.2.12-0.9) unstable; urgency=low

  [ Sven Mueller ]
  * Add patch to be compatible with BerkeleyDB 4.3
  * Add patch to fix TLS/SSL shutdown in timsieved

 -- Sven Mueller <debian@incase.de>  Mon, 14 Nov 2005 14:56:20 +0100

cyrus22-imapd (2.2.12-0.8) unstable; urgency=low

  [ Sven Mueller ]
  * Fix a problem in the init scripts new status check, found by Benjamin
    Seidenberg.

 -- Sven Mueller <debian@incase.de>  Sun, 13 Nov 2005 20:14:05 +0100

cyrus22-imapd (2.2.12-0.7) unstable; urgency=low

  [ Sven Mueller ]
  * Switch most deletions of autogenerated files to use debian/deletable.files
  * Switch all remaining patches to dpatch so that the .diff.gz should now be
    clean except for the files in debian/.

 -- Sven Mueller <debian@incase.de>  Thu, 10 Nov 2005 16:06:09 +0100

cyrus22-imapd (2.2.12-0.6) unstable; urgency=low

  [ Sven Mueller ]
  * Added kolab2 annotation patch as proposed by Christoper Sacca
  * Added a small patch to lower the minimum pop3 timeout to 1 minute.
    The default is still at 10 minutes. I also added some documentation to make
    it clear to admins that it is _not_ recommended to lower the value to less
    than 10 minutes (because that is what the standard says it should be at).
    I needed this change for use at my workplace though. The patch is disabled
    by default.
  * Patched init script to support everything LSB 3.0 asks for, including the
    "right" return codes, as far as we can.
  * Add patch to enhance sieveshell a bit:
    - Add --execfile parameter to read commands from a file
    - Add --password parameter to pass the users parameter on the commandline
    - Add code to return with a non-zero exit code if the last command
      executed failed for some reason.

  [ Ondřej Surý ]
  * Add 64bit quota dpatch.
  * Rerun autoconf and add result as dpatch.

 -- Sven Mueller <debian@incase.de>  Fri, 23 Sep 2005 18:55:57 +0200

cyrus22-imapd (2.2.12-0.5) unstable; urgency=low

  * Update upgrading information
  * Include masssievec in cyrus22-common
  * Applied patch from Raphaël 'SurcouF' Bordet <surcouf@debianfr.net> to add
    nntp support again.
  * Eliminate an unused variable from tools/masssievec to get rid of perl
    warning.
  * Update Recommends and Suggests for cyrus22-common as suggested by HMH
  * Move several patches from patching the source directly to patching through
    the use of dpatch

 -- Sven Mueller <debian@incase.de>  Tue, 24 May 2005 23:13:18 +0200

cyrus22-imapd (2.2.12-0.4) unstable; urgency=low

  * Fix usage message in deliver.c to reflect Debian naming of (cyr)deliver,
    (cyr)quota and (cyr)reconstruct
  * Document the defaultdomain setting a bit better (hopefully)
  * fix deletion of debian/cyrus-hardwired-config.txt during cleanup
  * build both arch-dependend and arch-independend parts when debian/rules is
    called for the build target
  * Add Sven Mueller to the list of uploaders

 -- Sven Mueller <debian@incase.de>  Fri, 29 Apr 2005 00:14:04 +0200

cyrus22-imapd (2.2.12-0.3) unstable; urgency=low

  * Add a README which contains the configure options used to
    compile the package. The README is auto-generated by debian/rules
  * cyrus22-clients needs to conflict with cyrus21-clients
  * cyrus22-common needs to conflict with cyrus21-common
  * Add a guess of what the problem might be to the set_cert_stuff failure
    message
  * Update a few Replaces:, Provides: and Conflicts: lines in debian/control

 -- Sven Mueller <debian@incase.de>  Thu, 24 Mar 2005 12:26:27 +0100

cyrus22-imapd (2.2.12-0.2) unstable; urgency=low

  * Fix some more perl executable paths
  * clean up debian directory a bit
  * install sievec with cyrus22-common
  * install mbexamine with cyrus22-common
  * install smmapd with cyrus22-common
  * install cyr_expire with cyrus22-common
  * install installsieve with cyrus22-admin

 -- Sven Mueller <debian@incase.de>  Tue, 22 Mar 2005 14:48:33 +0100

cyrus22-imapd (2.2.12-0.1) unstable; urgency=low

  * Initial revision of cyrus22-imapd package
    - debian packaging taken from cyrus21-imapd_2.1.18-1
  * Add/fix imapd.conf info regarding virtual domains
  * Add DRAC support (i.e. apply DRAC patch from /contrib)
  * Add syncldap2cyrus.pl script from #260833 (a cyrus21 bug)

 -- Sven Mueller <debian@incase.de>  Fri, 18 Mar 2005 13:34:09 +0100
